Name:           sobby
Version:        0.4.7
Release:        17%{?dist}
Summary:        Standalone obby server

Group:          Applications/Internet
License:        GPLv2
URL:            http://gobby.0x539.de
Source0:        http://releases.0x539.de/sobby/%{name}-%{version}.tar.gz

# Applied in upstream commit ad60b2a
Patch0:         0001-Fix-a-build-failure-when-compiled-using-glibmm-2.31-.patch

BuildRequires:  obby-devel, glibmm24-devel, libxml++-devel
BuildRequires:  avahi-devel, avahi-glib-devel

%description
Sobby is a standalone obby server.


%prep
%setup -q
%patch0 -p1 -b .gtkmm


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc README NEWS AUTHORS COPYING ChangeLog
%{_bindir}/sobby
%{_mandir}/*/*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sat Jul 29 2017 Filipe Rosset <rosset.filipe@gmail.com> - 0.4.7-15
- Spec clean up + silent rpmlint

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.7-10
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 20 2012 Luke Macken <lmacken@redhat.com> - 0.4.7-5
- Apply a patch from upstream to fix build failures with glibmm 2.31 or greater

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-3
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Kevin Fenzi <kevin@scrye.com> 0.4.7-1
- Update to 0.4.7

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 11 2008 Luke Macken <lmacken@redhat.com> - 0.4.5-1
- Latest upstream release

* Fri Aug 01 2008 Caolán McNamara <caolanm@redhat.com> - 0.4.4-5
- rebuild

* Sat Jul 26 2008 Luke Macken <lmacken@redhat.com> - 0.4.4-4
- Rebuild against obby 0.4.5

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.4.4-3
- rebuild with new gnutls

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.4.4-2
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 0.4.4-1
- 0.4.4
- Update license tag to GPLv2

* Thu Apr 26 2007 Luke Macken <lmacken@redhat.com> - 0.4.3-2
- Add avahi-glib-devel to BuildRequires

* Wed Apr 25 2007 Luke Macken <lmacken@redhat.com> - 0.4.3-1
- 0.4.3

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-3
- Add avahi-compat-howl-devel to BuildRequires

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-2
- Rebuild for new obby with Zeroconf support (#232961)

* Wed Mar  7 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-1
- 0.4.2

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-2
- Rebuild for FC6

* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- 0.4.1

* Wed Jul 12 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-3.rc1
- Rebuild

* Thu May 04 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-2.rc1
- Add libxml++-devel to BuildRequires

* Thu May 04 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-1.rc1
- 0.4.0rc1
- Add man page

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Rebuild for FE5

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Wed Dec 07 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc3
- Packaged for Fedora Extras
